Impossible d'imprimer depuis flash

Le
Daniel Caillibaud
Bonjour,

Je n'arrive pas à imprimer depuis flash, et ce quelque soit le navigateur.
J'ai testé avec iceweasel/galeon/epiphany et le plugin /usr/lib/flashplugin-nonfree/libflashplayer.so v 9,0,115 (le
dernier), v 9,0,60,235 (version livrée avec la beta de flex) et un vieux 7,0,25, mais à chaque fois ça me donne

daniel 31543 11.8 5.9 160412 61048 ? Sl 14:06 0:08 /usr/lib/iceweasel/firefox-bin -a firefox
daniel 31678 0.0 0.0 0 0 ? Z 14:07 0:00 _ [lpr] <defunct>

et ça n'imprime rien.

J'ai testé avec un bête jpeg embarqué dans un swf v7 (http://contact.editionsdidier.com/imgs/test.swf), puis clic droit
/ imprimer (si vous testez, faites-le avec une imprimante pdf, ça économisera du papier et de l'encre ;-) ).

J'ai essayé de changer des params firefox (via l'url about:config, avec le filtre "print"), notamment passer le
print.use_native_print_dialog de false à true mais ça ne change rien.

Ma commande d'impression est lpr ${MOZ_PRINTER_NAME:+-P"$MOZ_PRINTER_NAME"}

Apparemment c'est un pb connu (trouvé sur le launchpad ubuntu par ex) mais je n'ai pas trouvé de solution

Si qqun a un pluginflash qui marche (je suis sûr que j'ai imprimé depuis cette même appli flash il y a qq mois)

--
Daniel


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to debian-user-french-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Daniel Caillibaud
Le #9646011
Olivier FONTES a écrit :
| Ma commande d'impression est lpr
${MOZ_PRINTER_NAME:+-P"$MOZ_PRINTER_NAME"}
|
| Apparemment c'est un pb connu (trouvé sur le launchpad ubuntu par ex)
mais je n'ai pas trouvé de solution...
|
| Si qqun a un pluginflash qui marche (je suis sûr que j'ai imprimé
depuis cette même appli flash il y a qq mois)
|
Si tu utilise cups, ce qui normalement est le cas, deux solutions:
La crados: remplacer la commande d'impression par "lp -d
${MOZ_PRINTER_NAME}"



=> marche pas

La un peu plus propre: installer le paquet cupsys-bsd qui permet
d'utiliser lpr pour que cups imprime. Par défaut lp est la commande
d'impression de cups. De mémoire il me semble que c'est avec le paquet
cupsys-bsd que la commande lpr est disponible ...



J'avais déjà le paquet lpr (fournit par cupsys-bsd) sans avoir tout cupsys-bsd.

Je pense que le pb viens du plugin flash.

Si qqun arrive à imprimer un contenu flash avec flashplayer-mozilla ou flashplugin-nonfree, je lui serai très
reconnaissant de m'envoyer son libflashplayer.so ;-).

--
Daniel


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Frédéric Massot
Le #9645991
Daniel Caillibaud wrote:
Olivier FONTES a écrit :
| Ma commande d'impression est lpr
${MOZ_PRINTER_NAME:+-P"$MOZ_PRINTER_NAME"}
|
| Apparemment c'est un pb connu (trouvé sur le launchpad ubuntu par
ex) mais je n'ai pas trouvé de solution...
|
| Si qqun a un pluginflash qui marche (je suis sûr que j'ai imprimé
depuis cette même appli flash il y a qq mois)
|
Si tu utilise cups, ce qui normalement est le cas, deux solutions:
La crados: remplacer la commande d'impression par "lp -d
${MOZ_PRINTER_NAME}"



=> marche pas

La un peu plus propre: installer le paquet cupsys-bsd qui permet
d'utiliser lpr pour que cups imprime. Par défaut lp est la commande
d'impression de cups. De mémoire il me semble que c'est avec le paquet
cupsys-bsd que la commande lpr est disponible ...



J'avais déjà le paquet lpr (fournit par cupsys-bsd) sans avoir tout
cupsys-bsd.



Attention à ne pas mélanger la commande "lpr" avec le paquet "lpr". La
commande "lpr" est fournie par les paquets "lpr" et "cupsys-bsd".

Si tu utilises CUPS il vaut peut-être mieux utiliser le paquet "cupsys-bsd".
--
============================================= | FRÉDÉRIC MASSOT |
| http://www.juliana-multimedia.com |
| mailto: |
==========================Þbian=GNU/Linux==

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Daniel Caillibaud
Le #9645971
Frédéric Massot a écrit :
J'avais déjà le paquet lpr (fourni par cupsys-bsd) sans avoir tout
cupsys-bsd.



Attention à ne pas mélanger la commande "lpr" avec le paquet "lpr". La
commande "lpr" est fournie par les paquets "lpr" et "cupsys-bsd".



Je ne mélange pas, le paquet "lpr" est bien fourni par le paquet "cupsys-bsd", cf "aptitude show lpr".

Si tu utilises CUPS il vaut peut-être mieux utiliser le paquet
"cupsys-bsd".



Il donne le même binaire, plus quelques autres.

--
Daniel


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Jean-Damien Durand
Le #9645961
On Friday 11 January 2008 19:33:57 Daniel Caillibaud wrote:
Il donne le même binaire, plus quelques autres.



Meme nom, mais pas memes fonctionnalités - c.f. les sources.

A+, JD.
Bulot Grégory
Le #9645911
Le vendredi 11 janvier 2008 18:04, Daniel Caillibaud a écrit :


Je pense que le pb viens du plugin flash.

Si qqun arrive à imprimer un contenu flash avec flashplayer-mozilla ou
flashplugin-nonfree, je lui serai très reconnaissant de m'envoyer son
libflashplayer.so ;-).




je pense ne pas répondre à la question, mais (je tente quend mà ªme et... )
j'utilise la ligne de commande ci-dessous lorsqu'un client me dit qu'il a u n
problème avec un visuel en flash :

xwd -display :0 -screen -silent -root -out ecran.xwd && convert ecran.xwd
ecran.png && rm ecran.xwd && [la ligne de commande qui va bien pour imprime r
un fichier]

a la place du -root, il faudrait ptet sélectionner la fenêtre du navigateur
qui-va-bien


ça fait penser d'ailleur lorsque l'on utilise le frame buffer, exite-t -il
un "navigateur graphique en ligne de commande" compatible flash ? ça p ourrait
donner une autre réponse alternative genre :
links[avecFlash] -g [mapageavecduflash] > FichierdeSortieEnPostscript.ps
Daniel Caillibaud
Le #9645281
Jean-Damien Durand a écrit :
On Friday 11 January 2008 19:33:57 Daniel Caillibaud wrote:
Il donne le même binaire, plus quelques autres.



Meme nom, mais pas memes fonctionnalités - c.f. les sources.



Bon, effectivement, avec le lpr de cupsys-bsd, mon flash s'imprime.

Le pb est qu'il le fait mal (j'ai du texte qui s'imprime comme du jpeg basse def), mais là ça devient un pb flash je
suppose (parce que la même page avec le même swf s'imprime correctement sous windows et mac avec firefox2 et le dernier
plugin flash).

--
Daniel


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.net/?DebianFrench
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Publicité
Poster une réponse
Anonyme